Skip to content

Get project guardrails.

GET
/backend/v1/projects/{project}/scanners

Retrieves all guardrails and their configurations
used when sending prompts or performing scans within the project.

Authorizations

HTTPBearer
Type
HTTP (bearer)

Parameters

Path Parameters

project*
Type
string
Required
Format
"uuid"

Query Parameters

configAt

Get the config at a given point in time.

Responses

Successful Response

application/json
JSON
{
  
"projectScanners": {
  
  
"configs": {
  
  
  
"additionalProperties": {
  
  
  
  
"blocking": true,
  
  
  
  
"enabled": true,
  
  
  
  
"flagMessage": "string",
  
  
  
  
"force": true,
  
  
  
  
"id": "string",
  
  
  
  
"mode": "string",
  
  
  
  
"version": "string"
  
  
  
}
  
  
},
  
  
"forcedScanners": {
  
  
  
"additionalProperties": {
  
  
  
  
"availability": {
  
  
  
  
  
"global": false,
  
  
  
  
  
"projectIds": [
  
  
  
  
  
  
[
  
  
  
  
  
  
]
  
  
  
  
  
]
  
  
  
  
},
  
  
  
  
"config": {
  
  
  
  
  
"pattern": "string",
  
  
  
  
  
"type": "regex"
  
  
  
  
},
  
  
  
  
"direction": "request",
  
  
  
  
"id": "string",
  
  
  
  
"name": "string",
  
  
  
  
"packageId": "string",
  
  
  
  
"projectId": "string",
  
  
  
  
"scannerTemplateId": "string",
  
  
  
  
"source": {
  
  
  
  
  
"type": "internal"
  
  
  
  
},
  
  
  
  
"tags": [
  
  
  
  
  
[
  
  
  
  
  
]
  
  
  
  
],
  
  
  
  
"vendored": true,
  
  
  
  
"versionMeta": {
  
  
  
  
  
"createdAt": "string",
  
  
  
  
  
"createdBy": "string",
  
  
  
  
  
"description": "string",
  
  
  
  
  
"direction": "string",
  
  
  
  
  
"f1Score": 0,
  
  
  
  
  
"id": "string",
  
  
  
  
  
"latestDatasetResult": {
  
  
  
  
  
  
"datasetRunId": "string",
  
  
  
  
  
  
"f1Score": 0
  
  
  
  
  
},
  
  
  
  
  
"name": "string",
  
  
  
  
  
"published": true
  
  
  
  
}
  
  
  
}
  
  
},
  
  
"scanners": {
  
  
  
"additionalProperties": {
  
  
  
  
"availability": {
  
  
  
  
  
"global": false,
  
  
  
  
  
"projectIds": [
  
  
  
  
  
  
[
  
  
  
  
  
  
]
  
  
  
  
  
]
  
  
  
  
},
  
  
  
  
"config": {
  
  
  
  
  
"pattern": "string",
  
  
  
  
  
"type": "regex"
  
  
  
  
},
  
  
  
  
"direction": "request",
  
  
  
  
"id": "string",
  
  
  
  
"name": "string",
  
  
  
  
"packageId": "string",
  
  
  
  
"projectId": "string",
  
  
  
  
"scannerTemplateId": "string",
  
  
  
  
"source": {
  
  
  
  
  
"type": "internal"
  
  
  
  
},
  
  
  
  
"tags": [
  
  
  
  
  
[
  
  
  
  
  
]
  
  
  
  
],
  
  
  
  
"vendored": true,
  
  
  
  
"versionMeta": {
  
  
  
  
  
"createdAt": "string",
  
  
  
  
  
"createdBy": "string",
  
  
  
  
  
"description": "string",
  
  
  
  
  
"direction": "string",
  
  
  
  
  
"f1Score": 0,
  
  
  
  
  
"id": "string",
  
  
  
  
  
"latestDatasetResult": {
  
  
  
  
  
  
"datasetRunId": "string",
  
  
  
  
  
  
"f1Score": 0
  
  
  
  
  
},
  
  
  
  
  
"name": "string",
  
  
  
  
  
"published": true
  
  
  
  
}
  
  
  
}
  
  
}
  
}
}

Playground

Server
Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI

Updated at: